aboutsummaryrefslogtreecommitdiffstats
path: root/meta-python/recipes-devtools/python/python3-gpiod/run-ptest
diff options
context:
space:
mode:
Diffstat (limited to 'meta-python/recipes-devtools/python/python3-gpiod/run-ptest')
-rw-r--r--meta-python/recipes-devtools/python/python3-gpiod/run-ptest15
1 files changed, 15 insertions, 0 deletions
diff --git a/meta-python/recipes-devtools/python/python3-gpiod/run-ptest b/meta-python/recipes-devtools/python/python3-gpiod/run-ptest
new file mode 100644
index 0000000000..bf1244b07c
--- /dev/null
+++ b/meta-python/recipes-devtools/python/python3-gpiod/run-ptest
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+cd $(dirname "$(readlink -f "$0")")
+
+# python3-gpiod uses gpio-sim - a configfs-based testing module. We need to
+# make sure configfs is mounted before running any tests.
+modprobe configfs
+mountpoint /sys/kernel/config > /dev/null || mount -t configfs configfs /sys/kernel/config
+
+python3 -m gpiod-test -v > ./python3-gpiod.out 2>&1
+if [ $? -ne 0 ]; then
+ echo "FAIL: python3-gpiod"
+else
+ echo "PASS: python3-gpiod"
+fi